org.apache.tinkerpop.gremlin.util

## Class TimeUtil

- java.lang.Object
- - org.apache.tinkerpop.gremlin.util.TimeUtil

-     public final class TimeUtil
      extends Object

  Author:
    Stephen Mallette (http://stephen.genoprime.com), Daniel Kuppitz (http://gremlin.guru)

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `clock(int loops, Runnable runnable)`
    `static double` | `clock(Runnable runnable)`
    `static <S> org.javatuples.Pair<Double,S>` | `clockWithResult(int loops, Supplier<S> supplier)`
    `static <S> org.javatuples.Pair<Double,S>` | `clockWithResult(Supplier<S> supplier)`
    `static long` | `millisSince(long startNanos)`
    `static long` | `minutesSince(long startNanos)`
    `static long` | `secondsSince(long startNanos)`
    `static long` | `timeSince(long startNanos, TimeUnit destUnit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### secondsSince

          public static long secondsSince(long startNanos)

    - #### millisSince

          public static long millisSince(long startNanos)

    - #### minutesSince

          public static long minutesSince(long startNanos)

    - #### timeSince

          public static long timeSince(long startNanos,
                                       TimeUnit destUnit)

    - #### clock

          public static double clock(Runnable runnable)

    - #### clock

          public static double clock(int loops,
                                     Runnable runnable)

    - #### clockWithResult

          public static <S> org.javatuples.Pair<Double,S> clockWithResult(Supplier<S> supplier)

    - #### clockWithResult

          public static <S> org.javatuples.Pair<Double,S> clockWithResult(int loops,
                                                                          Supplier<S> supplier)

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.